View Issue Details

IDProjectCategoryView StatusLast Update
0016572LazarusLCLpublic2011-12-01 11:25
ReporterŽilvinas LedasAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016572: dialogs are under fsSystemStayOnTop form
DescriptionAll the 'message' windows are under TForm when TForm has fsSystemStayOnTop set.

Additional InformationSteps to reproduce:
- create new form and set FormStyle := fsSystemStayOnTop;
- use any of:
  - MessageDlg('asd', 'sdfsdf', mtConfirmation, [mbYes, mbNo], '')
  - Application.MessageBox('ddd', 'asd', (MB_ICONINFORMATION + MB_OK));
  - Showmessage('asd');

------------------
At revision: 25675
TagsNo tags attached.
Fixed in Revision28200
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-11-13 10:13

manager   ~0043004

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-05-27 00:51 Žilvinas Ledas New Issue
2010-05-27 00:51 Žilvinas Ledas Widgetset => Win32/Win64
2010-10-29 14:32 Vincent Snijders LazTarget => -
2010-10-29 14:32 Vincent Snijders Status new => acknowledged
2010-11-13 10:13 Paul Ishenin Fixed in Revision => 28200
2010-11-13 10:13 Paul Ishenin Status acknowledged => resolved
2010-11-13 10:13 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-11-13 10:13 Paul Ishenin Resolution open => fixed
2010-11-13 10:13 Paul Ishenin Assigned To => Paul Ishenin
2010-11-13 10:13 Paul Ishenin Note Added: 0043004
2011-12-01 11:25 Marc Weustink Status resolved => closed